package com.cecf.observe;

import io.opentelemetry.proto.collector.trace.v1.ExportTraceServiceRequest;
import org.apache.flink.api.common.serialization.DeserializationSchema;
import org.apache.flink.api.common.typeinfo.TypeInformation;

import java.io.IOException;

public class ExportTraceServiceRequestSchema implements DeserializationSchema<ExportTraceServiceRequest> {
    @Override
    public ExportTraceServiceRequest deserialize(byte[] bytes) throws IOException {
        return ExportTraceServiceRequest.parseFrom(bytes);
    }

    @Override
    public boolean isEndOfStream(ExportTraceServiceRequest tracesData) {
        return false;
    }

    @Override
    public TypeInformation<ExportTraceServiceRequest> getProducedType() {
        return TypeInformation.of(ExportTraceServiceRequest.class);
    }
}
