package com.cecf.observe;

public class PbSpanEvent {
    public String name = "";
    public KVList attrs;

    public TraceException getException() {
        if (this.attrs == null) {
            return null;
        }
        String exceptionMessage = this.attrs.getString("exception.message");
        String exceptionStack = this.attrs.getString("exception.stacktrace");
        String exceptionType = this.attrs.getString("exception.type");
        return new TraceException(exceptionType, exceptionMessage, exceptionStack);
    }
}
